Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Net-SSH2 CPAN distribution.

Report information
The Basics
Id:
46646
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
marc.girod [...] gmail.com
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
0.20
Fixed in:
(no value)



Failure to install on cygwin 1.7, perl 5.10, on top of: Net-SSH2-0.20> cygcheck -l libssh2-devel /usr/include/libssh2.h /usr/include/libssh2_publickey.h /usr/include/libssh2_sftp.h /usr/lib/libssh2.a /usr/lib/libssh2.dll.a /usr/lib/libssh2.la First, 'perl Makefile.PL' fails to find the include file: Net-SSH2-0.20> perl Makefile.PL The libssh2 library is required by this module. If you don't have it, you can download it from http://www.libssh2.org; you may also need OpenSSL, which can be obtained from http://www.openssl.org. On Debian do: sudo aptitude install libssh2-1-dev Can't link/include 'libssh2.h', 'ssh2' Then, as I add the paths explicitely: my $lib = '/usr/lib'; my $inc = '/usr/include'; the build fails. Transcript included. Thanks.
Subject: netssh2.out

Message body not shown because it is not plain text.

On Wed Jun 03 09:57:57 2009, mgirod wrote:
Show quoted text
> Failure to install on cygwin 1.7, perl 5.10, on top of:
I meant: $ cygcheck -c libssh2-devel libssh2_1 Cygwin Package Information Package Version Status libssh2-devel 0.15-1 OK libssh2_1 0.15-1 OK
Subject: Re: [rt.cpan.org #46646]
Date: Wed, 3 Jun 2009 08:15:43 -0700
To: Marc Girod via RT <bug-Net-SSH2@rt.cpan.org>
From: Rafael Kitover <rkitover@io.com>
I'll look into it, thank you. On Wed, Jun 03, 2009 at 10:07:56AM -0400, Marc Girod via RT wrote:
Show quoted text
> Queue: Net-SSH2 > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=46646 > > > On Wed Jun 03 09:57:57 2009, mgirod wrote:
> > Failure to install on cygwin 1.7, perl 5.10, on top of:
> > I meant: > > $ cygcheck -c libssh2-devel libssh2_1 > Cygwin Package Information > Package Version Status > libssh2-devel 0.15-1 OK > libssh2_1 0.15-1 OK >
Subject: Re: [rt.cpan.org #46646]
Date: Sat, 6 Jun 2009 14:34:46 -0700
To: Marc Girod via RT <bug-Net-SSH2@rt.cpan.org>
From: Rafael Kitover <rkitover@io.com>
I think I've taken care of the cygwin build issues in (just uploaded) 0.21. Please try it out and let me know. Note that the libssh2 on cygwin is very very old, so not all features of Net::SSH2 may work correctly. Please ask the cygwin-app developers to update it. On Wed, Jun 03, 2009 at 09:57:58AM -0400, Marc Girod via RT wrote:
Show quoted text
> Wed Jun 03 09:57:57 2009: Request 46646 was acted upon. > Transaction: Ticket created by mgirod > Queue: Net-SSH2 > Subject: (No subject given) > Broken in: 0.20 > Severity: Normal > Owner: Nobody > Requestors: marc.girod@gmail.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=46646 > > > > Failure to install on cygwin 1.7, perl 5.10, on top of: > > Net-SSH2-0.20> cygcheck -l libssh2-devel > /usr/include/libssh2.h > /usr/include/libssh2_publickey.h > /usr/include/libssh2_sftp.h > /usr/lib/libssh2.a > /usr/lib/libssh2.dll.a > /usr/lib/libssh2.la > > First, 'perl Makefile.PL' fails to find the include file: > > Net-SSH2-0.20> perl Makefile.PL > > The libssh2 library is required by this module. If you don't have it, > you can > download it from http://www.libssh2.org; you may also need OpenSSL, > which can be > obtained from http://www.openssl.org. > > On Debian do: > sudo aptitude install libssh2-1-dev > > Can't link/include 'libssh2.h', 'ssh2' > > > Then, as I add the paths explicitely: > > my $lib = '/usr/lib'; > my $inc = '/usr/include'; > > the build fails. > Transcript included. > Thanks.
Subject: Re: [rt.cpan.org #46646]
Date: Sat, 6 Jun 2009 22:53:55 +0100
To: bug-Net-SSH2@rt.cpan.org
From: Marc Girod <marc.girod@gmail.com>
Thanks! On Sat, Jun 6, 2009 at 10:35 PM, Rafael Kitover via RT<bug-Net-SSH2@rt.cpan.org> wrote:
Show quoted text
> I think I've taken care of the cygwin build issues in (just uploaded) > 0.21.
Show quoted text
> Please try it out and let me know.
OK. Not yet available, but hopefully tomorrow!
Show quoted text
> Note that the libssh2 on cygwin is very very old, so not all features of > Net::SSH2 may work correctly. Please ask the cygwin-app developers to > update it.
I was told an upgrade should be soon available there as well... Thanks, Marc
Subject: Could not install on cygwin
Successfully installed. Tests passed /usr/bin/perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/Net-SSH2......1/73 Argument "0.15-CVS" isn't numeric in int at t/Net-SSH2.t line 32. t/Net-SSH2......ok All tests successful. Files=1, Tests=73, 1 wallclock secs ( 0.03 usr 0.02 sys + 0.23 cusr 0.19 csys = 0.47 CPU) Result: PASS


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.